main {
    display: grid;
    height: fit-content;

    grid-template-columns: repeat(7, 1fr);
    grid-template-rows: 2em repeat(6, calc(15.2dvh - (2em / 6)));

    dialog[open] {
        display: flex;
        min-height: 15dvh;
        min-width: 20dvw;

        padding: 5px 10px 10px;
        margin: auto;
    
        flex-direction: column;
        gap: 5px;

        border: 1px solid var(--accent-color);
        border-radius: var(--default-bradius);
        background-color: var(--background-10);

        &:focus-visible, & *:focus-visible { outline: 1px solid var(--accent-color); }

        #dialog-control {
            display: flex;
            flex-direction: row-reverse;
    
            button#close-event-display {
                height: 30px;
                width: 30px;
                font-size: var(--text-size);
            }
        }
    }

    .week-day {
        font-size: var(--text-size);
        position: relative;
        top: 0.8em;
        left: calc(50% - 1em);
    }

    .calendar-tile {
        display: grid;
        padding: 1px;

        grid-template-columns: repeat(2, 1fr);
        grid-template-rows: 0.5fr repeat(2, 1.25fr);
        gap: 1px;

        border: 1px solid var(--accent-color);

        color: var(--text-color);
        background-color: var(--background);

        &.disabled-tile {
            color: var(--accent-color);
        }

        span {
            display: inline-block;
            height: fit-content;
            width: fit-content;
            padding: 7px;

            font-size: var(--text-size);
            text-align: center;
        }

        span#today {
            height: var(--heading-size);
            width: var(--heading-size);
            padding: unset;

            svg {
                circle { fill: var(--primary-color); }

                text {
                    fill: white;
                    font-size: 50%;
                }
            }
        }
    }
}